/**********************************/
/* This file is part of QtC 0.0.2 */
/* (c) 1997 Roberto Alsina        */
/* Licensed under the GPL v2      */
/* Read file COPYING for details  */
/**********************************/
#include "qt_EventFilter.h"

#include "qt_EventFilter.moc"

EventFilter::EventFilter(QObject *parent,qt_eventFilter f):QObject (parent)
{
    if (parent)
        parent->installEventFilter(this);
    filter=f;
}
EventFilter::~EventFilter()
{
}
bool EventFilter::eventFilter(QObject *o, QEvent *e)
{
    return filter((qt_QObject*)o,(qt_QEvent*)e);
}
qt_eventFilter *qt_new_EventFilter(qt_QObject *_parent,qt_eventFilter f)
{
    return (qt_eventFilter *)new EventFilter((QObject *)_parent,f);
}
